org.aspectj.lang.annotation

## Annotation Type DeclareError

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface DeclareError

Author:
  colyer Annotation for declare error... usage: @DeclareError("somePcut()") private static final String "a message";

### Required Element Summary

Required Elements
`java.lang.String` `value` The pointcut expression where to bind the error (don't use if, formal bindings, cflow etc)

### Element Detail

#### value

    public abstract java.lang.String value

The pointcut expression where to bind the error (don't use if, formal bindings, cflow etc)